Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class ElementState

    java.lang.Object
      |
      +--org.apache.xml.serialize.ElementState

public class ElementState
extends java.lang.Object

Holds the state of the currently serialized element.

Version:
  $Revision: 1.10 $ $Date: 2002/01/29 01:15:20 $
Author:
  Assaf Arkin
See Also:
  `BaseMarkupSerializer`

Field Summary
`boolean` | `afterComment` True if the last serialized node was a comment node.
`boolean` | `afterElement` True if the last serialized node was an element node.
`boolean` | `doCData` True if textual content of current element should be serialized as CDATA section.
`boolean` | `empty` True if element is empty.
`boolean` | `inCData` True while inside CData and printing text as CData.
`java.lang.String` | `localName` The element's local tag name.
`java.lang.String` | `namespaceURI` The element's namespace URI.
`java.util.Hashtable` | `prefixes` Association between namespace URIs (keys) and prefixes (values).
`boolean` | `preserveSpace` True if element is space preserving.
`java.lang.String` | `rawName` The element's raw tag name (local or prefix:local).
`boolean` | `unescaped` True if textual content of current element should be serialized as raw characters (unescaped).

Constructor Summary
`ElementState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rawName

    public java.lang.String rawName

  The element's raw tag name (local or prefix:local).

### localName

    public java.lang.String localName

  The element's local tag name.

### namespaceURI

    public java.lang.String namespaceURI

  The element's namespace URI.

### preserveSpace

    public boolean preserveSpace

  True if element is space preserving.

### empty

    public boolean empty

  True if element is empty. Turns false immediately after serializing the first contents of the element.

### afterElement

    public boolean afterElement

  True if the last serialized node was an element node.

### afterComment

    public boolean afterComment

  True if the last serialized node was a comment node.

### doCData

    public boolean doCData

  True if textual content of current element should be serialized as CDATA section.

### unescaped

    public boolean unescaped

  True if textual content of current element should be serialized as raw characters (unescaped).

### inCData

    public boolean inCData

  True while inside CData and printing text as CData.

### prefixes

    public java.util.Hashtable prefixes

  Association between namespace URIs (keys) and prefixes (values).

Constructor Detail

### ElementState

    public ElementState()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.